#pragma once

#include "CoreMinimal.h"
#include "EStoreItemUnlockType.h"
#include "EStoreItemAvailabilityType.h"
#include "StoreItemUnlockInfoViewData.generated.h"

USTRUCT(BlueprintType)
struct FStoreItemUnlockInfoViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString Id;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText Title;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EStoreItemUnlockType UnlockType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EStoreItemAvailabilityType AvailabilityType;

public:
	DBDUIVIEWINTERFACES_API FStoreItemUnlockInfoViewData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreItemUnlockInfoViewData) { return 0; }
